Bug 126170 - realplay can also handle SMIL files; need to update mime data
realplay can also handle SMIL files; need to update mime data
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mime-data (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-16 21:00 EDT by Christopher Beland
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:35:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2004-06-16 21:00:03 EDT
Description of problem:

When using a Gnome-aware web browser (Mozilla, galeon) to view .ram
and .rm files, realplay (RealPlayer), if installed, is given as an
option to open the files.  However, when trying to open a SMIL files
(for example, many of the audio files on npr.org), only the Cancel and
Save options are given.  Since RealPlayer can handle these files just
fine, the MIME data that Gnome-aware web browsers use should be
updated to make this possible

Version-Release number of selected component (if applicable):

gnome-mime-data-2.4.1-4

I use the following fix, which should be easily adapted into a patch.
 (Mostly all that's missing is translations which can be copied from
other entries in the noted files).


Add the following to /usr/share/mime-info/gnome-vfs.keys:

###

application/smil
 description=SMIL Script
 default_action_type=application
 short_list_application_ids_for_novice_user_level=realplayer
 short_list_application_ids_for_intermediate_user_level=realplayer
 short_list_application_ids_for_advanced_user_level=realplayer
 category=Documents
 default_application_id=realplayer

###

Add "application/smil" to the end of the last line (mime_types=)of the
"realplayer" entry in
/usr/share/application-registry/gnome-vfs.applications


There is an existing application/x-smil entry; perhaps files of this
type should also have the option of using RealPlayer.
Comment 1 Matthew Miller 2005-04-26 11:34:52 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Ray Strode [halfline] 2005-05-11 17:35:46 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.
Comment 3 Christopher Beland 2005-07-16 00:39:04 EDT
This is fixed as of HelixPlayer-1.0.5-0.fc3.2 (Fedora Core 3).  HelixPlayer is
now the layer that handles SMIL files, as noted in
/usr/share/mime-info/hxplay.keys, which belongs to this RPM.  RealPlayer is
install separately but is still used for Real Audio and Video content.

Note You need to log in before you can comment on or make changes to this bug.